# -*- coding: utf-8 -*-

from extensions.lsgtkpilot.lsfacegtk  import Lsfacegtk
from extensions.linksminer            import linksminer

from tools import logger

__author__    = "Filip Vaculik (mintaka@post.cz)"
__version__   = "$Revision: 0.1.0 $"
__date__      = "$Date: 2007/04/13 04:15:20 $"
__copyright__ = "Copyright (c) 2007 Filip Vaculik"
__license__   = "GPL"


log = logger.getLogger()
log.setLevel(30)
log.info("EXTENSION lsGTKpilot started")

#take links and groups
groups = linksminer.getGroups()
links  = linksminer.getLinks()

#Test Print 
print "--- Groups ---"
groups.printNames()
print "--- Links ---"
links.printNamesOfLinks()

# create instance of GUI part
w = Lsfacegtk(groups, links)

w.show()

w.printGroups()

w.run()

    