# -*- coding: utf-8 -*-


##from xml.etree.ElementTree import parse

from ElementTree import parse
import logger
import globals as G

log = logger.getLogger()

def extensionLoadPharser(file):
    """load and get data from plExtension.xml files"""
    """@todo: what if xml is bad formated or data are mistake"""
    """@todo: maby another system of transfer from parsed xml to instance of blip"""
    log.debug("%s" % (file))
    
    blips = []
    
    tree = parse(file)
    root = tree.getroot()
 
    headValues = {}   

    # read from lsextend
    for parameter in G.requiredLSExtendParams:
        headValues[parameter] = root.get(parameter)

    # for all blips in one file
    for blip in root.findall('blip'):
        blipValues = {}
        
        #take all required values
        for parameter in G.reguiredBlipTags:
            tag = blip.find(parameter) 
            blipValues[parameter] = tag.get('value')
     
        #try to take all optional values
        for parameter in G.optionalBlipTags:
            tag = blip.find(parameter) 
            if tag != None:
               blipValues[parameter] = tag.get('value')

        blipValues.update(headValues)
        blips = blips + [blipValues]
    
    log.debug("%s" % (blips ))
    return blips
        
        

