# -*- coding: utf-8 -*-

"""Link Sorter

Concentrate links to another programs and resources in system or in LAN.
Ability to sort that links by many characteristics.
Primary target of usage is for education setting where are usually
many programs at a time and is difficult to find the right.

Main modul
"""

from tools import logger, extensionscontrol, envirocheck, launcher
import tools.globals as G

__author__    = "Filip Vaculik (mintaka@post.cz)"
__version__   = "$Revision: 0.1.3 $"
__date__      = "$Date: 2007/04/13 04:15:20 $"
__copyright__ = "Copyright (c) 2007 Filip Vaculik"
__license__   = "GPL"


print "Links Sorter started"

logger = logger.SetLogger(20)
##logger = setlogger.SetLogger('INFO')
log = logger.getLogger()
log.debug('In Main module')

"""@todo: Parse args"""

#gathering environmental parameters
log.setLevel(30)

envirocheck.setAll()

lsExcuteTables = extensionscontrol.initControl()

#run one task log.debug("Execute: from %s:  %s" %  (lsExcuteTables['start'].mountpoint, lsExcuteTables['start'].executionTable[0][1]) )

for item in G.listOfMountpoints: #run all execution tables
    if lsExcuteTables[item].executionTable != []:
       log.debug("Execute: %s: " %  ( lsExcuteTables[item].mountpoint ))
       launcher.runFromExecutionTable(   lsExcuteTables[item]  )

print "Links Sorter End"

def f1():
    return 5